local assets=
{
	Asset("ANIM", "anim/books.zip"),
}

local function onfinished(inst)
    inst:Remove()
end

local function OnDropped(inst)
    inst.AnimState:PlayAnimation("book_sleep")
end

local function roundstr(n)
    return tostring(round(n))
end

function onread_suiji_book(inst, reader)
local chance = math.random()*100
local x, y, z = reader.Transform:GetWorldPosition()
local books = SpawnPrefab("zhuanzhi_book")
if chance < 7.7 then
    books = SpawnPrefab("zhuanzhi_book")
elseif chance < 15.4 then
    books = SpawnPrefab("liehuojianfa_book")
elseif chance < 23.1 then
    books = SpawnPrefab("banyuewandao_book")
elseif chance < 30.8 then
    books = SpawnPrefab("huanhuashu_book")
elseif chance < 38.5 then
    books = SpawnPrefab("duanjin_book")
elseif chance < 46.2 then
    books = SpawnPrefab("huxiaoshanlin_book")
elseif chance < 53.9 then
    books = SpawnPrefab("zhurijianfa_book")
elseif chance < 61.6 then
    books = SpawnPrefab("leidianshu_book")
elseif chance < 69.3 then
    books = SpawnPrefab("mofadun_book")
elseif chance < 77 then
    books = SpawnPrefab("huoqiang_book")
elseif chance < 84.7 then
    books = SpawnPrefab("diyuleiguang_book")
elseif chance < 92.4 then
    books = SpawnPrefab("baofengxue_book")
elseif chance < 100 then
    books = SpawnPrefab("zhihuihuanxing_book")
end
books.Transform:SetPosition(x, y, z)
    inst:Remove()
end

local function suiji_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_suiji_book
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_zhuanzhi(inst, reader)
	if reader.skill_RLv and reader.skill_RLv <= 3 then
		reader.skill_RLv = reader.skill_RLv +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS1..(reader.skill_RLv))
		end)
end

local function zhuanzhi_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_zhuanzhi
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

------------------------------------------------------------

function onread_liehuo(inst, reader)
	if reader.skill_JLv1 and reader.skill_JLv1 <= 4 then
		reader.skill_JLv1 = reader.skill_JLv1 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS2..(reader.skill_JLv1))
		end)
end

local function liehuojianfa_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")

    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_liehuo
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)

	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")

	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_banyue(inst, reader)
	if reader.skill_KLv1 and reader.skill_KLv1 <= 4 then
		reader.skill_KLv1 = reader.skill_KLv1 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS3..(reader.skill_KLv1))
		end)
end

local function banyuewandao_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_banyue
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_zhuri(inst, reader)
	if reader.skill_LLv1 and reader.skill_LLv1 <= 4 then
		reader.skill_LLv1 = reader.skill_LLv1 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS4..(reader.skill_LLv1))
		end)
end

local function zhurijianfa_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_zhuri
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_huxiao(inst, reader)
	if reader.skill_ULv1 and reader.skill_ULv1 <= 4 then
		reader.skill_ULv1 = reader.skill_ULv1 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS5..(reader.skill_ULv1))
		end)
end

local function huxiaoshanlin_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_huxiao
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_duanjin(inst, reader)
	if reader.skill_ILv1 and reader.skill_ILv1 <= 4 then
		reader.skill_ILv1 = reader.skill_ILv1 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS6..(reader.skill_ILv1))
		end)
end

local function duanjin_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_duanjin
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_huanhua(inst, reader)
	if reader.skill_OLv1 and reader.skill_OLv1 <= 4 then
		reader.skill_OLv1 = reader.skill_OLv1 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS7..(reader.skill_OLv1))
		end)
end

local function huanhuashu_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_huanhua
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

----------------------------------------------------------------------

function onread_leidian(inst, reader)
	if reader.skill_JLv0 and reader.skill_JLv0 <= 4 then
		reader.skill_JLv0 = reader.skill_JLv0 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS8..(reader.skill_JLv0))
		end)
end

local function leidianshu_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_leidian
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_mofadun(inst, reader)
	if reader.skill_KLv0 and reader.skill_KLv0 <= 4 then
		reader.skill_KLv0 = reader.skill_KLv0 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS9..(reader.skill_KLv0))
		end)
end

local function mofadun_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_mofadun
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_huoqiang(inst, reader)
	if reader.skill_LLv0 and reader.skill_LLv0 <= 4 then
		reader.skill_LLv0 = reader.skill_LLv0 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS10..(reader.skill_LLv0))
		end)
end

local function huoqiang_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_huoqiang
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_diyu(inst, reader)
	if reader.skill_ULv0 and reader.skill_ULv0 <= 4 then
		reader.skill_ULv0 = reader.skill_ULv0 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS11..(reader.skill_ULv0))
		end)
end

local function diyuleiguang_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_diyu
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_baofengxue(inst, reader)
	if reader.skill_ILv0 and reader.skill_ILv0 <= 4 then
		reader.skill_ILv0 = reader.skill_ILv0 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS12..(reader.skill_ILv0))
		end)
end

local function baofengxue_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_baofengxue
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

function onread_huanxing(inst, reader)
	if reader.skill_OLv0 and reader.skill_OLv0 <= 4 then
		reader.skill_OLv0 = reader.skill_OLv0 +1
		inst:Remove()
	end
		inst:DoTaskInTime(2, function()
		reader.components.talker:Say(STRINGS.YUYI_BOOKS13..(reader.skill_OLv0))
		end)
end

local function zhihuihuanxing_book(Sim)
    
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
    inst.AnimState:SetBank("books")
    inst.AnimState:SetBuild("books")
    inst.AnimState:PlayAnimation("book_sleep")
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnDroppedFn(OnDropped)
    inst.components.inventoryitem.imagename = "suiji_book"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/suiji_book.xml"

	inst:AddComponent("book")
	inst.components.book.onread = onread_huanxing
    inst:AddComponent("tradable")
	inst.components.tradable.goldvalue = 10

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    inst.components.finiteuses:SetOnFinished(onfinished)
	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("yuyi")
	if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "book_sleep_water", "book_sleep")
	end
    return inst
end

return	Prefab("common/inventory/zhuanzhi_book", zhuanzhi_book, assets, prefabs),
		Prefab("common/inventory/suiji_book", suiji_book, assets, prefabs),

		Prefab("common/inventory/liehuojianfa_book", liehuojianfa_book, assets, prefabs),
		Prefab("common/inventory/banyuewandao_book", banyuewandao_book, assets, prefabs),
		Prefab("common/inventory/zhurijianfa_book", zhurijianfa_book, assets, prefabs),
		Prefab("common/inventory/huxiaoshanlin_book", huxiaoshanlin_book, assets, prefabs),
		Prefab("common/inventory/duanjin_book", duanjin_book, assets, prefabs),
		Prefab("common/inventory/huanhuashu_book", huanhuashu_book, assets, prefabs),

		Prefab("common/inventory/leidianshu_book", leidianshu_book, assets, prefabs),
		Prefab("common/inventory/mofadun_book", mofadun_book, assets, prefabs),
		Prefab("common/inventory/huoqiang_book", huoqiang_book, assets, prefabs),
		Prefab("common/inventory/diyuleiguang_book", diyuleiguang_book, assets, prefabs),
		Prefab("common/inventory/baofengxue_book", baofengxue_book, assets, prefabs),
		Prefab("common/inventory/zhihuihuanxing_book", zhihuihuanxing_book, assets, prefabs)
